globus_handle_table.h(3)

NAME
globus_handle_table.h - Handle Table for Reference Counting Data.

SYNOPSIS

#include 'globus_types.h'

  Macros

#define GLOBUS_NULL_HANDLE

  Typedefs

typedef struct globus_l_handle_table_s * globus_handle_table_t
Handle table abstract type.
typedef int globus_handle_t
Handle abstract type.
typedef void(* globus_handle_destructor_t) (void *datum)
Handle datum destructor.

  Functions

int globus_handle_table_init (globus_handle_table_t *handle_table, globus_handle_destructor_t destructor)
int globus_handle_table_destroy (globus_handle_table_t *handle_table)
Destroy a handle table.
globus_handle_t globus_handle_table_insert (globus_handle_table_t *handle_table, void *datum, int initial_refs)
globus_bool_t globus_handle_table_increment_reference (globus_handle_table_t *handle_table, globus_handle_t handle)
Add a reference to a handle table entry.
globus_bool_t globus_handle_table_increment_reference_by (globus_handle_table_t *handle_table, globus_handle_t handle, unsigned int inc)
Increment the reference count for handle.
globus_bool_t globus_handle_table_decrement_reference (globus_handle_table_t *handle_table, globus_handle_t handle)
Remove a reference to a handle.
void * globus_handle_table_lookup (globus_handle_table_t *handle_table, globus_handle_t handle)
Resolve a handle its datum.

Detailed Description

Handle Table for Reference Counting Data.

Author

Generated automatically by Doxygen for globus_common from the source code.